%define name jackbeat
%define version 0.7.5
%define release %mkrel 1

Summary: Jackbeat is an audio sequencer
Name:	%{name}
Version: %{version}
Release: %{release}
License: GPL
Group:	Sound
URL:	http://www.samalyse.com/jackbeat
Source0: %{name}-%{version}.tar.gz
Source1: %{name}.png
BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot
BuildRequires:	libalsa2-devel
BuildRequires:	gtk2-devel
BuildRequires:	libgnomecanvas2_0-devel
BuildRequires:	libjack-devel
BuildRequires:	liblo-devel
BuildRequires:  libphat0-devel
BuildRequires:	pulseaudio-devel
BuildRequires:	libsamplerate-devel
BuildRequires:	libxml2-devel
BuildRequires:	libportaudio2-devel
BuildRequires:	sndfile-devel
BuildRequires:	desktop-file-utils
BuildRequires:	zlib-devel
Requires:	jackit
Obsoletes: %name < %version


%description
Jackbeat is an audio sequencer running on Linux and Mac OS X, for
musicians and sound artists:

* Drummachine interface with accurate VU meters for easy editing * Realtime operation : while playing, 
the sequence can be edited and resized, the bpm rate modified, and new samples loaded,* Easy to use and 
yet powerful : just JACK it into jack-rack and you can apply LADSPA effect plugins on a per track basis, 
perform  mastering with jackeq , etc...
* Loads and saves .jab files, Jackbeat's xml+tar file format.
* Unique Masking feature: allows to insert silences into a track in an interactive manner


%prep
%setup -q -n %{name}-%{version}


%build
%configure2_5x	--with-phat

%make 

%install
%makeinstall_std

# menu-entry
mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name=Jackbeat
GenericName=Jackbeat
Comment=Jackbeat is an audio sequencer
Exec=%{name}
Icon=%{name}
Terminal=false
Type=Application
Categories=AudioVideo;X-MandrivaLinux-Multimedia-Sound;
EOF

# icon
install -dm 755 %{buildroot}%{_datadir}/pixmaps
install -m 644 %{SOURCE1} %{buildroot}%{_datadir}/pixmaps

%clean
rm -rf %{buildroot}

%post
%{update_menus}

%postun
%{clean_menus} 


%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog NEWS README
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/%{name}/pixmaps/*.png
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/applications/%{name}.desktop

%changelog
* Tue Apr 27 2010 slick50 <lxgator@gmail.com> 0.7.5-1pclos2010
- 0.7.5

* Sun Nov 29 2009 slick50 <lxgator@gmail.com> 0.7.3-1pclos2010
- 0.7.3

* Sat Jul 04 2009 slick50 <lxgator@gmail.com> 0.7.2-1pclos2009
- initial pkg
